Bug 593577 - map serial port throws "chardev: opening backend "tty" failed"
map serial port throws "chardev: opening backend "tty" failed"
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Libvirt Maintainers
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-19 04:20 EDT by Angel Abad
Modified: 2016-03-20 20:10 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-20 20:10:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Angel Abad 2010-05-19 04:20:49 EDT
In Ubuntu Otto Berger reported:

after updating from karmic to lucid, starting a virtual machine with a serial port throws an error and failed to start. if i remove the serial port (/dev/ttyS14) the machine start successfully...

log entry:
LC_ALL=C PATH=/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/sbin:/sbin:/bin QEMU_AUDIO_DRV=none /usr/bin/kvm -S -M pc-0.11 -enable-kvm -m 2048 -smp 1,sockets=1,cores=1,threads=1 -name web2 -uuid 17c99639-2299-ce13-c1b6-c7a627dd181e -nodefaults -chardev socket,id=monitor,path=/var/lib/libvirt/qemu/web2.monitor,server,nowait -mon chardev=monitor,mode=readline -rtc base=utc -boot c -drive file=/dev/vmdata/web2,if=none,id=drive-virtio-disk0,boot=on -device virtio-blk-pci,bus=pci.0,addr=0x4,drive=drive-virtio-disk0,id=virtio-disk0 -device virtio-net-pci,vlan=0,id=net0,mac=52:54:00:68:45:ab,bus=pci.0,addr=0x5 -net tap,fd=39,vlan=0,name=hostnet0 -chardev tty,id=serial0,path=/dev/ttyS14 -device isa-serial,chardev=serial0 -usb -vnc 127.0.0.1:0 -k de -vga cirrus -device ES1370,id=sound0,bus=pci.0,addr=0x6 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x3
chardev: opening backend "tty" failed

You can see logs and configs in

Launchpad ref: https://bugs.edge.launchpad.net/libvirt/+bug/578527

Thanks!
Comment 1 Jamie Strandboge 2010-06-10 13:01:01 EDT
So, this turned out to be an AppArmor issue. I'll be updating the example profile and submit a patch to the mailing list during my next iteration.
Comment 2 Juan Antonio Martinez 2010-06-14 05:46:23 EDT
Confirm bug in Fedora 13

If I remove all serial and parallel ports on virtual machine, I runs fine.
once started and stopped, add serial port again and problem is over

Tested with Windows XP SP3 as guest system
Comment 3 Konstantin Zemlyak 2011-07-01 02:51:38 EDT
This bug is fixed in http://libvirt.org/git/?p=libvirt.git;a=commitdiff;h=2e5e614e6b3b7407fe8741ab1a44ac323c0262e4 and present in fedora's libvirt now. So comment 2 is most likely about bug 596553
Comment 4 Cole Robinson 2016-03-20 20:10:02 EDT
Closing per Comment #3

Note You need to log in before you can comment on or make changes to this bug.